Skip to main content
POST
/
contracts
Upload contract
curl --request POST \
  --url https://api.vanta.com/v1/contracts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form 'executedDate=<string>' \
  --form 'accountId=<string>'
{
  "id": "65e1efde08e8478f143a8ff9",
  "name": "Example Contract",
  "customerTrustAccountId": null,
  "executedDate": "2024-01-15T00:00:00.000Z",
  "creationDate": "2024-01-01T00:00:00.000Z"
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data
file
file
required

The contract file to upload. Only PDF files are accepted.

executedDate
string

ISO 8601 date indicating when the contract was executed.

accountId
string

ID of the customer trust account to associate with this contract.

Response

201 - application/json

Contract created

id
string
required

Unique identifier for the contract.

name
string
required

Name of the contract.

customerTrustAccountId
string | null
required

The ID of the customer trust account this contract is linked to, if any.

executedDate
string<date-time> | null
required

Date this contract was executed.

creationDate
string<date-time>
required

Date this contract was created in Vanta.